<!-- original source by http://cookxml.sourceforge.net/cookbsh/ -->
<shell style="SHELL_TRIM | TOOL" text="Hello, Zeta! 4" size="320,240">
	<filllayout type="VERTICAL">
		<clabel id="label" style="BORDER | CENTER" text="Hello, Zeta! 4" foreground="#ff0000"
			font="Serif,bold italic,20" cursor="HAND"/>
		<button text="Click!">
			<bsh func="addSelectionListener">
				import org.eclipse.swt.events.SelectionListener;
				import org.eclipse.swt.events.SelectionEvent;
		
				widgetSelected(e)
				{
					label.setText(e.source.getText () + " Pressed");
				}
				widgetDefaultSelected(e){ }
				
				return (SelectionListener)this;
			</bsh>
		</button>
		<!-- calling an external BSH code (identical to the bsh code above) -->
		<!--button text="Button 2">
			<bsh func="addActionListener" src="examples/cookbsh/action.bsh"/>
		</button-->
	</filllayout>
</shell>
